package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.service.KQOriginalPunchRpService;
import com.engine.kq.cmd.originalpunchrp.*;
import weaver.hrm.User;

import java.util.Map;

/**
 * 原始打卡记录报表
 */
public class KQOriginalPunchRpServiceImpl extends Service implements KQOriginalPunchRpService {

    @Override
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetRightMenuCmd(params, user));
    }

    @Override
    public Map<String, Object> getSearchCondition(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSearchConditionCmd(params, user));
    }

    @Override
    public Map<String, Object> getSearchList(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSearchListCmd(params, user));
    }
}
